Skip to main content

Get all consumer users

GET 

/auth/company/consumer-users

return only consumer users that have used the current company at least one time

Request

Query Parameters

    start_key base64

    Start key in base64 encoded json, key of the first item of the page. Put here the key received in last_key.

    limit integer

    Possible values: <= 100

    Default value: 20

    Number of items per page

    external_id string

    Company external id of the user to be searched

    email string

    The email of the user to be searched

Responses

successful operation

Schema

    data

    object[]

  • Array [

  • id uuid

    Cents ID of the consumer user

    external_id string

    Company external id of the user

    full_name string

    first name and last name of the consumer user

    email email

    email of the consumer user

    email_anonymized boolean

    Email anonymized flag (if email is anonymized or not)

    phone string

    phone number of the consumer user with the country code

    default_currency string

    Default value: EUR

    Default currency

    user_impact

    object

    user impact with its donations

    total_donations integer

    total donated amount (in the smallest currency unit, so 1000 is 10.00€). Using consumer user main currency

    cost_examples object

    detail of cost example related to donated amount

    billable_address

    object

    street_address stringrequired
    city stringrequired
    region_state stringrequired
    zip_code stringrequired
    country stringrequired
  • ]

  • last_key string

    the key is used to fetch the subsequent page (to be passed to start_key parameter). If it's empty, no further data is available

Loading...